List Responses for a Survey
curl --request POST \
--url https://api.birdeye.com/resources/v1/survey/ext/list/responses/{survey_id} \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "07/03/2018 06:30:00",
"endDate": "07/23/2018 06:45:00"
}
'import requests
url = "https://api.birdeye.com/resources/v1/survey/ext/list/responses/{survey_id}"
payload = {
"startDate": "07/03/2018 06:30:00",
"endDate": "07/23/2018 06:45:00"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '07/03/2018 06:30:00', endDate: '07/23/2018 06:45:00'})
};
fetch('https://api.birdeye.com/resources/v1/survey/ext/list/responses/{survey_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseList": [
{
"responseId": 12345,
"requestDate": "07/11/2018",
"responseDate": "07/11/2018",
"completed": true,
"questionCount": 10,
"locale": "en",
"surveyId": 1000,
"surveyName": "Test Edit Test Edit 2(2)",
"locationName": "BMW",
"customerId": 123456,
"customerName": "Anonymous",
"ticketed": false,
"ticketIds": [
100770,
100751
],
"answers": [
{
"questionTitle": "We are interested in receiving your feedback. \nabout the care provided at our facility. \n\nPlease take a few minutes to rate your satisfaction with each of the following\n\nPlease describe ur properties.",
"questionType": "label",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true
},
{
"questionTitle": "Single CHoice",
"questionType": "radio",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "A"
},
{
"questionTitle": "Multiple choice q",
"questionType": "checkbox",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "A"
},
{
"questionTitle": "Multiple Text Entry edited",
"questionType": "textarea",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "qwsad"
},
{
"questionTitle": "Single TExt Entry edited",
"questionType": "text",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "fasdf"
},
{
"questionTitle": "Drop Down edited",
"questionType": "dropdown",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "Select1"
},
{
"questionTitle": "Please rate us based on your experience Rating Question edited",
"questionType": "rating",
"visible": true,
"conditional": true,
"shownToCustomer": true,
"hidden": false,
"maxValue": 10,
"minValue": 1,
"showTime": true,
"showDate": true,
"answer": "6"
},
{
"questionTitle": "Please rate us for the below mentioned services Matrix Drop Down edited",
"questionType": "matrixdropdown",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"childAnswers": [
{
"questionTitle": "Click to write statement 1",
"questionType": "dropdown",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "Choice 1"
},
{
"questionTitle": "Click to write statement 2",
"questionType": "dropdown",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "Choice 1"
},
{
"questionTitle": "Click to write statement 3",
"questionType": "dropdown",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "Choice 1"
},
{
"questionTitle": "Click to write statement 4",
"questionType": "dropdown",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "Choice 2"
},
{
"questionTitle": "Click to write statement 5",
"questionType": "dropdown",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "Choice 2"
},
{
"questionTitle": "Click to write statement",
"questionType": "dropdown",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "Choice 2"
}
]
},
{
"questionTitle": "How likely are you to recommend us to your family and friends NPS edited?",
"questionType": "nps",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 10,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "7"
},
{
"questionTitle": "Matrix Radio Choice editedf",
"questionType": "matrixradio",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"childAnswers": [
{
"questionTitle": "Click to write statement A",
"questionType": "radio",
"visible": true,
"conditional": false,
"shownToCustomer": true,
"hidden": false,
"maxValue": 0,
"minValue": 0,
"showTime": true,
"showDate": true,
"answer": "Choice D"
}
]
}
],
"overallScore": "9.0",
"customParam": {
"order Date": "2024-03-21 06:14:00",
"orderId": "52"
},
"extraParams": {
"facilityId": "38861",
"Integration Trigger": "Updated Rentals",
"Current balance due": "0.0000",
"Move In date": "12-19-2023"
}
}
],
"totalResponses": 1,
"pageNo": 0,
"pageSize": 1,
"hasNext": true
}{
"code": 1315,
"message": "Invalid survey."
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Survey
List Responses
List Responses for a Survey API fetches all the responses available for a particular survey ID.
POST
/
v1
/
survey
/
ext
/
list
/
responses
/
{survey_id}
List Responses for a Survey
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Id of the Survey.
Query Parameters
The Business Number of Enterprise
The page number, starts with 0.
The size of the page.
The sort by parameter.
The sort order parameter.
The field to fetch ticketIds associated with the response.
Response
OK
⌘I